package main

import (
	"github.com/gin-contrib/cors"
	"github.com/gin-gonic/gin"
)

var config *Config

func main() {
	_conf, err := NewConfig()
	if err != nil {
		panic(err)
	}
	config = _conf

	gin.SetMode(gin.ReleaseMode)
	e := gin.Default()
	_cors := cors.DefaultConfig()
	_cors.AllowAllOrigins = true
	e.Use(cors.New(_cors))

	e.POST("/api/v1/subscribe", userSubscribe)
	e.POST("/api/v1/contact", userContactUs)

	e.Run(config.Listen)
}
